Package docking.help

# Class DockingHelpSet

java.lang.Object
javax.help.HelpSet
help.GHelpSet
docking.help.DockingHelpSet

All Implemented Interfaces:
  `Serializable`

public class DockingHelpSet extends GHelpSet
An extension of the `GHelpSet` that allows `Docking` classes to be installed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.help.HelpSet

  `javax.help.HelpSet.DefaultHelpSetFactory, javax.help.HelpSet.Presentation`

- ## Field Summary

  ### Fields inherited from class javax.help.HelpSet

  `helpBrokerClass, helpBrokerLoader, implRegistry, kitLoaderRegistry, kitTypeRegistry, listenerList, publicIDString, publicIDString_V2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DockingHelpSet(ClassLoader loader, URL helpset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.help.HelpBroker`
  `createHelpBroker()`

  ### Methods inherited from class help.GHelpSet

  `getCombinedMap, getLocalMap, toString`

  ### Methods inherited from class javax.help.HelpSet

  `add, addHelpSetListener, addPresentation, addSubHelpSet, addView, contains, createHelpBroker, findHelpSet, findHelpSet, findHelpSet, fireHelpSetAdded, fireHelpSetRemoved, getDefaultPresentation, getHelpSets, getHelpSetURL, getHomeID, getKeyData, getLoader, getLocale, getNavigatorView, getNavigatorViews, getPresentation, getPresentations, getTitle, parse, parseInto, remove, removeHelpSetListener, setHomeID, setKeyData, setLocalMap, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DockingHelpSet

    public DockingHelpSet(ClassLoader loader, URL helpset) throws javax.help.HelpSetException
    Throws:
      `javax.help.HelpSetException`

- ## Method Details

  - ### createHelpBroker

    public javax.help.HelpBroker createHelpBroker()
    Overrides:
      `createHelpBroker` in class `GHelpSet`